Bug 188825 - CVE-2006-1734 Privilege escalation using a JavaScript function's cloned parent
CVE-2006-1734 Privilege escalation using a JavaScript function's cloned parent
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 23:17 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 08:56:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 23:17:47 EDT
Privilege escalation using a JavaScript function's cloned parent


shutdown discovered it was possible to use the Object.watch() method to
access an internal function object (the "clone parent") which could then be
used to run arbitrary JavaScript code with full permission. This could be
used to install malware such as password sniffers or viruses.

In pre-release versions of Firefox 1.5 the same technique could be applied
to the Array generic methods introduced in that release.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a fixed version.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=313370
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=313684


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-27 08:56:21 EDT
These issues have been resolved in FEDORA-2006-411 for FC5 and FEDORA-2006-410
for FC4

Note You need to log in before you can comment on or make changes to this bug.